Create collection
POST
https://api.catenda.com/v2/projects/{project-id}/libraries/collections
Path Parameters
- project-idstringrequiredExampleDescription
Body Parameters
- bodyobjectrequired
- namestringrequiredExampleDescription
- descriptionstringExampleDescription
- itemsobject[]Description
- libraryIdstringrequiredExampleDescription
- libraryItemIdstringrequiredExampleDescription
- fileIdstringrequiredExampleDescription
- followLatestRevisionbooleanExampleDescription
Responses
200
- collection
- idstringExampleDescription
- namestringExampleDescription
- descriptionstringExampleDescription
- finalizedbooleanDescription
- followLatestRevisionbooleanExampleDescription
- visibilitystring<private | project-members>ExampleDescriptionAllowedprivateproject-members
- createdAtstringExampleDescription
- createdBystringExampleDescription
curl
curl --request POST \
--url https://api.catenda.com/v2/projects/{project-id}/libraries/collections \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"name": "Collection 1",
"items": [
{
"libraryId": "ead9b194e6024e6b92cae1d791797b68",
"libraryItemId": "5badf33213ae420ebf81e727d5281850",
"fileId": "5dc75452-29a4-4c4a-8415-991b92a92001"
}
]
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"name": "Collection 1",
"items": [
{
"libraryId": "ead9b194e6024e6b92cae1d791797b68",
"libraryItemId": "5badf33213ae420ebf81e727d5281850",
"fileId": "5dc75452-29a4-4c4a-8415-991b92a92001"
}
]
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.catenda.com/v2/projects/{project-id}/libraries/collections", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.catenda.com/v2/projects/{project-id}/libraries/collections")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"name": "Collection 1",
"items": [
{
"libraryId": "ead9b194e6024e6b92cae1d791797b68",
"libraryItemId": "5badf33213ae420ebf81e727d5281850",
"fileId": "5dc75452-29a4-4c4a-8415-991b92a92001"
}
]
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.catenda.com/v2/projects/{project-id}/libraries/collections"
payload = json.dumps({
"name": "Collection 1",
"items": [
{
"libraryId": "ead9b194e6024e6b92cae1d791797b68",
"libraryItemId": "5badf33213ae420ebf81e727d5281850",
"fileId": "5dc75452-29a4-4c4a-8415-991b92a92001"
}
]
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"id": "924809076a694255b589d236517a55da",
"name": "Collection name",
"description": "Collection description",
"finalized": false,
"followLatestRevision": true,
"visibility": "private",
"createdAt": "2023-12-09T10:07:56.000Z",
"createdBy": "524809076a694255b989d236517a55da"
}